aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/ls.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/ls.sh')
-rw-r--r--sh/profile.d/ls.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/sh/profile.d/ls.sh b/sh/profile.d/ls.sh
index 0c3754e9..8a255bee 100644
--- a/sh/profile.d/ls.sh
+++ b/sh/profile.d/ls.sh
@@ -13,8 +13,14 @@
# Iterate through some useful options and create files to show they're
# available
- if grep -q -- --color "$lcd"/help ; then
- touch -- "$lcd"/color || exit
- fi
+ set -- block-size \
+ classify \
+ color \
+ human-readable \
+ time-style
+ for opt ; do
+ grep -q -- --"$opt" "$lcd"/help || continue
+ touch -- "$lcd"/"$opt" || exit
+ done
fi
)